# Class CoreCallbacks

java.lang.Object
com.example.CoreCallbacks

public final class CoreCallbacks extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Callbacks.AfterAgentCallback`
  `AFTER_AGENT_CALLBACK`
  `static final Callbacks.AfterAgentCallback`
  `AFTER_AGENT_CALLBACK1`
  `static final Callbacks.AfterAgentCallback`
  `AFTER_AGENT_CALLBACK2`
  `static final Callbacks.AfterAgentCallback`
  `AFTER_AGENT_CALLBACK3`
  `static final Callbacks.AfterModelCallback`
  `AFTER_MODEL_CALLBACK`
  `static final Callbacks.AfterToolCallback`
  `AFTER_TOOL_CALLBACK1`
  `static final Callbacks.AfterToolCallback`
  `AFTER_TOOL_CALLBACK2`
  `static final Callbacks.AfterToolCallback`
  `AFTER_TOOL_CALLBACK3`
  `static final Callbacks.BeforeAgentCallback`
  `BEFORE_AGENT_CALLBACK`
  `static final Callbacks.BeforeAgentCallback`
  `BEFORE_AGENT_CALLBACK1`
  `static final Callbacks.BeforeAgentCallback`
  `BEFORE_AGENT_CALLBACK2`
  `static final Callbacks.BeforeAgentCallback`
  `BEFORE_AGENT_CALLBACK3`
  `static final Callbacks.BeforeModelCallback`
  `BEFORE_MODEL_CALLBACK`
  `static final Callbacks.BeforeToolCallback`
  `BEFORE_TOOL_CALLBACK1`
  `static final Callbacks.BeforeToolCallback`
  `BEFORE_TOOL_CALLBACK2`
  `static final Callbacks.BeforeToolCallback`
  `BEFORE_TOOL_CALLBACK3`

- ## Method Summary

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### BEFORE_AGENT_CALLBACK1

    public static final Callbacks.BeforeAgentCallback BEFORE_AGENT_CALLBACK1

  - ### BEFORE_AGENT_CALLBACK2

    public static final Callbacks.BeforeAgentCallback BEFORE_AGENT_CALLBACK2

  - ### BEFORE_AGENT_CALLBACK3

    public static final Callbacks.BeforeAgentCallback BEFORE_AGENT_CALLBACK3

  - ### AFTER_AGENT_CALLBACK1

    public static final Callbacks.AfterAgentCallback AFTER_AGENT_CALLBACK1

  - ### AFTER_AGENT_CALLBACK2

    public static final Callbacks.AfterAgentCallback AFTER_AGENT_CALLBACK2

  - ### AFTER_AGENT_CALLBACK3

    public static final Callbacks.AfterAgentCallback AFTER_AGENT_CALLBACK3

  - ### BEFORE_MODEL_CALLBACK

    public static final Callbacks.BeforeModelCallback BEFORE_MODEL_CALLBACK

  - ### AFTER_MODEL_CALLBACK

    public static final Callbacks.AfterModelCallback AFTER_MODEL_CALLBACK

  - ### BEFORE_TOOL_CALLBACK1

    public static final Callbacks.BeforeToolCallback BEFORE_TOOL_CALLBACK1

  - ### BEFORE_TOOL_CALLBACK2

    public static final Callbacks.BeforeToolCallback BEFORE_TOOL_CALLBACK2

  - ### BEFORE_TOOL_CALLBACK3

    public static final Callbacks.BeforeToolCallback BEFORE_TOOL_CALLBACK3

  - ### AFTER_TOOL_CALLBACK1

    public static final Callbacks.AfterToolCallback AFTER_TOOL_CALLBACK1

  - ### AFTER_TOOL_CALLBACK2

    public static final Callbacks.AfterToolCallback AFTER_TOOL_CALLBACK2

  - ### AFTER_TOOL_CALLBACK3

    public static final Callbacks.AfterToolCallback AFTER_TOOL_CALLBACK3

  - ### BEFORE_AGENT_CALLBACK

    public static final Callbacks.BeforeAgentCallback BEFORE_AGENT_CALLBACK

  - ### AFTER_AGENT_CALLBACK

    public static final Callbacks.AfterAgentCallback AFTER_AGENT_CALLBACK